{%- assign default_paths = site.pages | map: "path" -%}
{%- assign page_paths = site.header_pages | default: default_paths -%}
{%- assign titles_size = site.pages | map: 'title' | join: '' | size -%}
<header>
  <div class="menu">
    <h1 class="site-title">{{ site.title }}</h1> usage:
    <ul>
      {%- for path in page_paths -%}
        {%- assign my_page = site.pages | where: "path", path | first -%}
        {%- if my_page.title -%}
        <li><a href="{{ my_page.url | relative_url }}">{{ my_page.title | escape }}</a></li>
        {%- endif -%}
      {%- endfor -%}
    </ul>
  </div>
</header>
